package com.s3ai.entities;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.UUID;

import static org.junit.jupiter.api.Assertions.assertEquals;

class CinemaTest {

    private Cinema cinemaUnderTest;

    @BeforeEach
    void setUp() {
        cinemaUnderTest = new Cinema();
    }

    @Test
    void testToString() {
        // Setup
        final String expectedResult = "Cinema{" +
                "id=" + null +
                ", name='" + null + '\'' +
                ", seatsCount=" + null +
                ", location='" + null + '\'' +
                '}';

        // Run the test
        final String result = cinemaUnderTest.toString();

        // Verify the results
        assertEquals(expectedResult, result);
    }

    @Test
    void testSetId() {
        // Setup
        final UUID uuid = UUID.fromString("2dda013b-a0a3-42c4-b318-08084dcad984");
        // Run the test
        cinemaUnderTest.setId(uuid);

        // Verify the results
        assertEquals(uuid, cinemaUnderTest.getId());
    }

    @Test
    void testSetName() {
        // Setup

        // Run the test
        cinemaUnderTest.setName("name");

        // Verify the results
        assertEquals("name", cinemaUnderTest.getName());
    }

    @Test
    void testSetSeatsCount() {
        // Setup

        // Run the test
        cinemaUnderTest.setSeatsCount(0);

        // Verify the results
        assertEquals(0, cinemaUnderTest.getSeatsCount());
    }

    @Test
    void testSetLocation() {
        // Setup

        // Run the test
        cinemaUnderTest.setLocation("location");

        // Verify the results
        assertEquals("location", cinemaUnderTest.getLocation());
    }
}
